﻿using System;

namespace HuxBot
{
	class TimeTrigger
	{
		public static String Answer()
		{
			return DateTime.Now.ToShortTimeString();
		}
		private static String ConvertToShortTimeZone(String timezone)
		{
			switch (timezone)
			{
				case "pst":
					return "Pacific Standard Time";
					break;
				case "mst":
					return "Mountain Standard Time";
					break;
				case "cst":
					return "Central Standard Time";
					break;
				case "est":
					return "Eastern Standard Time";
					break;
				case "ast":
					return "Atlantic Standard Time";
					break;
				case "bzt":
					return "Central Brazilian Standard Time";
					break;
				case "azt":
					return "Azores Standard Time";
					break;
				case "wat":
					return "Cape Verde Standard Time";
					break;
				case "utc":
					return "UTC";
					break;
				case "gmt":
					return "GMT Standard Time";
					break;
				case "cet":
					return "Central Europe Standard Time";
					break;
				case "eet":
					return "E. Europe Standard Time";
					break;
				case "jst":
					return "Tokyo Standard Time";
					break;
				case "awst":
					return "W. Australia Standard Time";
					break;
				case "acst":
					return "Cen. Australia Standard Time";
					break;
				case "aest":
					return "E. Australia Standard Time";
					break;
				default:
					return null;
					break;
			}
		}
		public static String Answer(String timezone)
		{
			String timezonename = ConvertToShortTimeZone(timezone.ToLower());
			if (timezonename != null)
				try
				{
					return TimeZoneInfo.ConvertTime(DateTime.Now, TimeZoneInfo.Local, TimeZoneInfo.FindSystemTimeZoneById(timezonename)).ToShortTimeString();
				}
				catch (TimeZoneNotFoundException)
				{
					return "timezone " + timezone + " isn't available";
				}
				catch
				{
					return null;
				}
			else
				return null;
		}
	}
}
